<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:41 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>MasterSyncDaoImpl (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MasterSyncDaoImpl (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MasterSyncDaoImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dao/impl/MachineMappingDAOImpl.html" title="class in io.mosip.registration.dao.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/dao/impl/PolicySyncDAOImpl.html" title="class in io.mosip.registration.dao.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dao/impl/MasterSyncDaoImpl.html" target="_top">Frames</a></li>
<li><a href="MasterSyncDaoImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dao.impl</div>
<h2 title="Class MasterSyncDaoImpl" class="title">Class MasterSyncDaoImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.dao.impl.MasterSyncDaoImpl</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></dd>
</dl>
<hr>
<br>
<pre>@Repository
public class <span class="typeNameLabel">MasterSyncDaoImpl</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></pre>
<div class="block">The implementation class of <a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao"><code>MasterSyncDao</code></a></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sreekar Chukka</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#MasterSyncDaoImpl--">MasterSyncDaoImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#findLocationByLangCode-java.lang.String-java.lang.String-">findLocationByLangCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;hierarchyCode,
                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</code>
<div class="block">Find location by lang code.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#findLocationByParentLocCode-java.lang.String-java.lang.String-">findLocationByParentLocCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parentLocCode,
                           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</code>
<div class="block">Find location by parent loc code.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/ReasonCategory.html" title="class in io.mosip.registration.entity">ReasonCategory</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#getAllReasonCatogery-java.lang.String-">getAllReasonCatogery</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</code>
<div class="block">Gets the all reason catogery.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/BlacklistedWords.html" title="class in io.mosip.registration.entity">BlacklistedWords</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#getBlackListedWords-java.lang.String-">getBlackListedWords</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</code>
<div class="block">Gets the black listed words.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/DocumentType.html" title="class in io.mosip.registration.entity">DocumentType</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#getDocumentTypes-java.util.List-java.lang.String-">getDocumentTypes</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;docCode,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</code>
<div class="block">Gets the Document Categories.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Gender.html" title="class in io.mosip.registration.entity">Gender</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#getGenderDtls-java.lang.String-">getGenderDtls</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</code>
<div class="block">Gets the gender dtls.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/IndividualType.html" title="class in io.mosip.registration.entity">IndividualType</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#getIndividulType-java.lang.String-java.lang.String-">getIndividulType</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;code,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</code>
<div class="block">Gets the individul type.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/ReasonList.html" title="class in io.mosip.registration.entity">ReasonList</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#getReasonList-java.lang.String-java.util.List-">getReasonList</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode,
             <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;reasonCat)</code>
<div class="block">Gets the reason list.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/ValidDocument.html" title="class in io.mosip.registration.entity">ValidDocument</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#getValidDocumets-java.lang.String-">getValidDocumets</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;docCategoryCode)</code>
<div class="block">Gets the valid documets.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#save-io.mosip.registration.dto.mastersync.MasterDataResponseDto-">save</a></span>(<a href="../../../../../io/mosip/registration/dto/mastersync/MasterDataResponseDto.html" title="class in io.mosip.registration.dto.mastersync">MasterDataResponseDto</a>&nbsp;masterSyncDto)</code>
<div class="block">inserting master sync data into the database using entity.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#syncJobDetails-java.lang.String-">syncJobDetails</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;synccontrol)</code>
<div class="block">Gets the master sync status.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MasterSyncDaoImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MasterSyncDaoImpl</h4>
<pre>public&nbsp;MasterSyncDaoImpl()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="syncJobDetails-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>syncJobDetails</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncJobDetails(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;synccontrol)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#syncJobDetails-java.lang.String-">MasterSyncDao</a></code></span></div>
<div class="block">Gets the master sync status.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#syncJobDetails-java.lang.String-">syncJobDetails</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>synccontrol</code> - the synccontrol</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the master sync status</dd>
</dl>
</li>
</ul>
<a name="save-io.mosip.registration.dto.mastersync.MasterDataResponseDto-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;save(<a href="../../../../../io/mosip/registration/dto/mastersync/MasterDataResponseDto.html" title="class in io.mosip.registration.dto.mastersync">MasterDataResponseDto</a>&nbsp;masterSyncDto)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#save-io.mosip.registration.dto.mastersync.MasterDataResponseDto-">MasterSyncDao</a></code></span></div>
<div class="block">inserting master sync data into the database using entity.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#save-io.mosip.registration.dto.mastersync.MasterDataResponseDto-">save</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>masterSyncDto</code> - the master sync dto</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the string</dd>
</dl>
</li>
</ul>
<a name="findLocationByLangCode-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findLocationByLangCode</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>&gt;&nbsp;findLocationByLangCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;hierarchyCode,
                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#findLocationByLangCode-java.lang.String-java.lang.String-">MasterSyncDao</a></code></span></div>
<div class="block">Find location by lang code.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#findLocationByLangCode-java.lang.String-java.lang.String-">findLocationByLangCode</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>hierarchyCode</code> - the hierarchy code</dd>
<dd><code>langCode</code> - the lang code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list</dd>
</dl>
</li>
</ul>
<a name="findLocationByParentLocCode-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findLocationByParentLocCode</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a>&gt;&nbsp;findLocationByParentLocCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;parentLocCode,
                                                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#findLocationByParentLocCode-java.lang.String-java.lang.String-">MasterSyncDao</a></code></span></div>
<div class="block">Find location by parent loc code.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#findLocationByParentLocCode-java.lang.String-java.lang.String-">findLocationByParentLocCode</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parentLocCode</code> - the parent loc code</dd>
<dd><code>langCode</code> - the lang code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list</dd>
</dl>
</li>
</ul>
<a name="getAllReasonCatogery-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllReasonCatogery</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/ReasonCategory.html" title="class in io.mosip.registration.entity">ReasonCategory</a>&gt;&nbsp;getAllReasonCatogery(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getAllReasonCatogery-java.lang.String-">MasterSyncDao</a></code></span></div>
<div class="block">Gets the all reason catogery.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getAllReasonCatogery-java.lang.String-">getAllReasonCatogery</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>langCode</code> - the lang code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the all reason catogery</dd>
</dl>
</li>
</ul>
<a name="getReasonList-java.lang.String-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReasonList</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/ReasonList.html" title="class in io.mosip.registration.entity">ReasonList</a>&gt;&nbsp;getReasonList(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode,
                                      <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;reasonCat)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getReasonList-java.lang.String-java.util.List-">MasterSyncDao</a></code></span></div>
<div class="block">Gets the reason list.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getReasonList-java.lang.String-java.util.List-">getReasonList</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>langCode</code> - the lang code</dd>
<dd><code>reasonCat</code> - the reason cat</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the reason list</dd>
</dl>
</li>
</ul>
<a name="getBlackListedWords-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlackListedWords</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/BlacklistedWords.html" title="class in io.mosip.registration.entity">BlacklistedWords</a>&gt;&nbsp;getBlackListedWords(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getBlackListedWords-java.lang.String-">MasterSyncDao</a></code></span></div>
<div class="block">Gets the black listed words.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getBlackListedWords-java.lang.String-">getBlackListedWords</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>langCode</code> - the lang code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the black listed words</dd>
</dl>
</li>
</ul>
<a name="getDocumentTypes-java.util.List-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocumentTypes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/DocumentType.html" title="class in io.mosip.registration.entity">DocumentType</a>&gt;&nbsp;getDocumentTypes(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;docCode,
                                           <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getDocumentTypes-java.util.List-java.lang.String-">MasterSyncDao</a></code></span></div>
<div class="block">Gets the Document Categories.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getDocumentTypes-java.util.List-java.lang.String-">getDocumentTypes</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>docCode</code> - the doc code</dd>
<dd><code>langCode</code> - the lang code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the document categories</dd>
</dl>
</li>
</ul>
<a name="getGenderDtls-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGenderDtls</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Gender.html" title="class in io.mosip.registration.entity">Gender</a>&gt;&nbsp;getGenderDtls(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getGenderDtls-java.lang.String-">MasterSyncDao</a></code></span></div>
<div class="block">Gets the gender dtls.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getGenderDtls-java.lang.String-">getGenderDtls</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>langCode</code> - the lang code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the gender dtls</dd>
</dl>
</li>
</ul>
<a name="getValidDocumets-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidDocumets</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/ValidDocument.html" title="class in io.mosip.registration.entity">ValidDocument</a>&gt;&nbsp;getValidDocumets(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;docCategoryCode)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getValidDocumets-java.lang.String-">MasterSyncDao</a></code></span></div>
<div class="block">Gets the valid documets.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getValidDocumets-java.lang.String-">getValidDocumets</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>docCategoryCode</code> - the doc category code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the valid documets</dd>
</dl>
</li>
</ul>
<a name="getIndividulType-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getIndividulType</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/IndividualType.html" title="class in io.mosip.registration.entity">IndividualType</a>&gt;&nbsp;getIndividulType(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;code,
                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;langCode)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getIndividulType-java.lang.String-java.lang.String-">MasterSyncDao</a></code></span></div>
<div class="block">Gets the individul type.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#getIndividulType-java.lang.String-java.lang.String-">getIndividulType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html" title="interface in io.mosip.registration.dao">MasterSyncDao</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>code</code> - the code</dd>
<dd><code>langCode</code> - the lang code</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the individul type</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MasterSyncDaoImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../io/mosip/registration/dao/impl/MachineMappingDAOImpl.html" title="class in io.mosip.registration.dao.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../io/mosip/registration/dao/impl/PolicySyncDAOImpl.html" title="class in io.mosip.registration.dao.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dao/impl/MasterSyncDaoImpl.html" target="_top">Frames</a></li>
<li><a href="MasterSyncDaoImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
